aboutsummaryrefslogtreecommitdiff
path: root/bin/build_html
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2023-11-06 12:20:00 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2023-11-06 12:40:14 +0000
commit3121c10c737a30d1288ad3955f9105dcb193df73 (patch)
tree3a2ea674921aee44d104ef0c33f5bedcc8402938 /bin/build_html
parent3fb917d86aad672b63005ef44e4936fe1564a8ff (diff)
downloadtorspec-3121c10c737a30d1288ad3955f9105dcb193df73.tar.gz
torspec-3121c10c737a30d1288ad3955f9105dcb193df73.zip
Remove language file extension from bin/*
Putting ".sh" or ".py" on the end of scripts is an antipattern. It makes it inconvenient to change the implementation language. Change all call sites.
Diffstat (limited to 'bin/build_html')
-rwxr-xr-xbin/build_html17
1 files changed, 17 insertions, 0 deletions
diff --git a/bin/build_html b/bin/build_html
new file mode 100755
index 0000000..026c525
--- /dev/null
+++ b/bin/build_html
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+set -e -u -o pipefail -x
+
+: ${MDBOOK:=mdbook}
+
+TOPLEVEL=$(realpath $(dirname "$0"))/..
+cd "${TOPLEVEL}"
+./bin/reindex
+
+./bin/make_redirects
+
+cd "${TOPLEVEL}/mdbook/spec"
+$MDBOOK build
+
+cd "${TOPLEVEL}/mdbook/proposals"
+$MDBOOK build